<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class adds reseller/affilate support
 *
 * @package    OSB
 * @category   Modifications
 * @author     Deon George
 * @copyright  (c) 2014 Deon George
 * @license    http://dev.osbill.net/license.html
 */
class URL extends lnApp_URL {
	// Our method paths for different functions
	public static $method_directory = array(
		'admin'=>'a',
		'reseller'=>'r',
		'affiliate'=>'f',
		'user'=>'u',
	);

	public static function navbar() {
		$result = array();

		foreach (array_reverse(self::$method_directory) as $k=>$v)
			switch ($k) {
				case 'admin': $result[$k] = array('name'=>'Administrator','icon'=>'icon-globe');
					break;

				case 'affiliate':
				case 'reseller': $result[$k] = array('name'=>'Reseller','icon'=>'icon-th-list');
					break;

				case 'user':
					if (is_object(Auth::instance()->get_user()))
						$result[$k] = array('name'=>Auth::instance()->get_user()->name(),'icon'=>'icon-user');
					break;

				default: $result[$k] = array('name'=>$k,'icon'=>'icon-question-sign');
			}

		return $result;
	}
}
?>
